
<%= form_for type, :url=>{action: :create}, :method=>:POST do |f| %>
 <fieldset id='security_<%=security.type%>>'>
  <legend><%= security.describe_type %> Parameters</legend>
  <%= f.hidden_field :id %>
  <%= f.select :type, SecurityStock.types_for_form, :prompt=>'-- Select Type --' %><br/>
  <%= f.date_field :time_dividend_exdate %><%= label type, 'Ex-Date for Dividend Payments.' %><br/>
  <%= f.number_field :dividend_interval, :min=>1 %><%= label type, 'Interval between dividend payments, in months.' %><br/>
  <%= f.number_field :dividend, :step=>0.0001, :min=>0, :value=>number_with_precision(f.object.dividend, :precision=>4) %><%= label type, 'Dividend declared, per share.' %><br/>

  </br>
  <%= f.text_area :comment, :cols=>45, :rows=>15, :placeholder=>'Additional Remarks?' %>
  </br>
  <%= f.submit 'Save Parameters' %>
 </fieldset>
<% end %>
